import lib.weather.weatherbase as base

weather_icon_mapping = {
 0: base.WeatherIcon(condition='Sunny', icon='f00d', font='\uf00d', time_of_day='Day Conditions Only', url=None, owmcode=800),
 1: base.WeatherIcon(condition='Mainly Sunny', icon='f00d', font='\uf00d', time_of_day='Day Conditions Only', url=None, owmcode=800),
 2: base.WeatherIcon(condition='Partly Cloudy', icon='f002', font='\uf002', time_of_day='Day Conditions Only', url=None, owmcode=801),
 3: base.WeatherIcon(condition='Mostly Cloudy', icon='f013', font='\uf013', time_of_day='Day Conditions Only', url=None, owmcode=801),
 4: base.WeatherIcon(condition='Light Rain Shower', icon='f008', font='\uf008', time_of_day='Day Conditions Only', url=None, owmcode=500),
 5: base.WeatherIcon(condition='Light Rain Shower and Flurries', icon='f006', font='\uf006', time_of_day='Day Conditions Only', url=None, owmcode=300),
 6: base.WeatherIcon(condition='Light Flurries', icon='f00a', font='\uf00a', time_of_day='Day Conditions Only', url=None, owmcode=600),
 7: base.WeatherIcon(condition='Cloudy', icon='f013', font='\uf013', time_of_day='Day and Night Conditions', url=None, owmcode=801),
 8: base.WeatherIcon(condition='Precipitation', icon='f01c', font='\uf01c', time_of_day='Day and Night Conditions', url=None, owmcode=500),
 9: base.WeatherIcon(condition='Rain', icon='f019', font='\uf019', time_of_day='Day and Night Conditions', url=None, owmcode=500),
 10: base.WeatherIcon(condition='Rain Shower', icon='f01a', font='\uf01a', time_of_day='Day and Night Conditions', url=None, owmcode=500),
 11: base.WeatherIcon(condition='Freezing Rain', icon='f0b5', font='\uf0b5', time_of_day='Day and Night Conditions', url=None, owmcode=500),
 12: base.WeatherIcon(condition='Rain and Snow', icon='f017', font='\uf017', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 13: base.WeatherIcon(condition='Snow', icon='f01b', font='\uf01b', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 14: base.WeatherIcon(condition='Snow', icon='f01b', font='\uf01b', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 15: base.WeatherIcon(condition='Snow', icon='f01b', font='\uf01b', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 16: base.WeatherIcon(condition='Heavy Snow', icon='f01b', font='\uf01b', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 17: base.WeatherIcon(condition='Thunderstorm', icon='f01e', font='\uf01e', time_of_day='Day Conditions Only', url=None, owmcode=200),
 18: base.WeatherIcon(condition='Haze', icon='f0b6', font='\uf0b6', time_of_day='Day and Night Conditions', url=None, owmcode=721),
 19: base.WeatherIcon(condition='Fog', icon='f014', font='\uf014', time_of_day='Day and Night Conditions', url=None, owmcode=741),
 20: base.WeatherIcon(condition='Drifting Snow', icon='f064', font='\uf064', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 21: base.WeatherIcon(condition='Ice Crystals', icon='f076', font='\uf076', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 22: base.WeatherIcon(condition='Hail', icon='f015', font='\uf015', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 23: base.WeatherIcon(condition='Drizzle', icon='f01c', font='\uf01c', time_of_day='Day and Night Conditions', url=None, owmcode=300),
 24: base.WeatherIcon(condition='Clear', icon='f02e', font='\uf02e', time_of_day='Night Conditions Only', url=None, owmcode=800),
 25: base.WeatherIcon(condition='Mainly Clear', icon='f02e', font='\uf02e', time_of_day='Night Conditions Only', url=None, owmcode=800),
 26: base.WeatherIcon(condition='Partly Cloudy', icon='f031', font='\uf031', time_of_day='Night Conditions Only', url=None, owmcode=801),
 27: base.WeatherIcon(condition='Mostly Cloudy', icon='f041', font='\uf041', time_of_day='Night Conditions Only', url=None, owmcode=801),
 28: base.WeatherIcon(condition='Light Rain Shower', icon='f02b', font='\uf02b', time_of_day='Night Conditions Only', url=None, owmcode=500),
 29: base.WeatherIcon(condition='Light Rain Shower and Flurries', icon='f026', font='\uf026', time_of_day='Night Conditions Only', url=None, owmcode=300),
 30: base.WeatherIcon(condition='Light Flurries', icon='f02a', font='\uf02a', time_of_day='Night Conditions Only', url=None, owmcode=600),
 31: base.WeatherIcon(condition='Thunderstorm', icon='f02d', font='\uf02d', time_of_day='Night Conditions Only', url=None, owmcode=200),
 32: base.WeatherIcon(condition='Blowing Snow', icon='f064', font='\uf064', time_of_day='Day and Night Conditions', url=None, owmcode=600),
 33: base.WeatherIcon(condition='Funnel Cloud', icon='f056', font='\uf056', time_of_day='Day and Night Conditions', url=None, owmcode=781),
 34: base.WeatherIcon(condition='Tornado', icon='f056', font='\uf056', time_of_day='Day and Night Conditions', url=None, owmcode=781),
 35: base.WeatherIcon(condition='Windy', icon='f021', font='\uf021', time_of_day='Day and Night Conditions', url=None, owmcode=430),
 36: base.WeatherIcon(condition='Smoke', icon='f062', font='\uf062', time_of_day='Day and Night Conditions', url=None, owmcode=711),
 37: base.WeatherIcon(condition='Blowing Dust', icon='f063', font='\uf063', time_of_day='Day and Night Conditions', url=None, owmcode=761),
 38: base.WeatherIcon(condition='Thunderstorm with Hail', icon='f01e', font='\uf01e', time_of_day='Day and Night Conditions', url=None, owmcode=200),
 39: base.WeatherIcon(condition='Thunderstorm with Dust Storm', icon='f01e', font='\uf01e', time_of_day='Day and Night Conditions', url=None, owmcode=200),
 40: base.WeatherIcon(condition='Waterspout', icon='f056', font='\uf056', time_of_day='Day and Night Conditions', url=None, owmcode=781),
 41: base.WeatherIcon(condition='N/A', icon='f07b', font='\uf07b', time_of_day='Day and Night Conditions', url=None, owmcode=900),
 42: base.WeatherIcon(condition='Humidity', icon='f07a', font='\uf07a', time_of_day='Day and Night Conditions', url=None, owmcode=901),
 43: base.WeatherIcon(condition='Rising', icon='f057', font='\uf057', time_of_day='Day and Night Conditions', url=None, owmcode=902),
 44: base.WeatherIcon(condition='Falling', icon='f088', font='\uf088', time_of_day='Day and Night Conditions', url=None, owmcode=903),
 45: base.WeatherIcon(condition='Steady', icon='f04d', font='\uf04d', time_of_day='Day and Night Conditions', url=None, owmcode=904),
 46: base.WeatherIcon(condition='Clear', icon='f00d', font='\uf00d', time_of_day='Day Conditions Only', url=None, owmcode=800),
 47: base.WeatherIcon(condition='Cloudy Periods', icon='f013', font='\uf013', time_of_day='Day Conditions Only', url=None, owmcode=801),
 48: base.WeatherIcon(condition='Mainly Clear', icon='f02e', font='\uf02e', time_of_day='Night Conditions Only', url=None, owmcode=806)}